import { BaseTrace } from "@graphql-debugger/adapter-base";
import { CreateTraceInput, CreateTraceResponse, FindFirstTraceOptions, FindFirstTraceWhere, ListTraceGroupsWhere, Span, Trace, UpdateTraceInput, UpdateTraceResponse, UpdateTraceWhere } from "@graphql-debugger/types";
export declare class SQLiteTrace extends BaseTrace {
    constructor();
    findFirst({ where, options, }: {
        where: FindFirstTraceWhere;
        options?: FindFirstTraceOptions;
    }): Promise<Trace | null>;
    findMany(args: {
        where: ListTraceGroupsWhere;
        includeSpans?: boolean;
        includeRootSpan?: boolean;
    }): Promise<(Trace & {
        spans: Span[];
    })[]>;
    createOne({ input, }: {
        input: CreateTraceInput;
    }): Promise<CreateTraceResponse>;
    updateOne({ where, input, }: {
        where: UpdateTraceWhere;
        input: UpdateTraceInput;
    }): Promise<UpdateTraceResponse>;
}
//# sourceMappingURL=Trace.d.ts.map